WarpBuild LogoWarpBuild Docs
Cloud

GET /cloud/integrations

Lists all cloud integrations for the authenticated organization. Cloud integrations connect WarpBuild to your cloud provider accounts (AWS, GCP, or Azure) for provisioning runner infrastructure.

GET
/cloud/integrations

Authorization

Authorization<token>

In: header

Query Parameters

cloud_provider?string

restrict it to specific cloud provider

Value in

  • "aws"
  • "gcp"
cloud_entity?string

restrict it to specific cloud entity

status?string

restrict it to specific status

Value in

  • "pending"
  • "connected"
  • "disconnected"
  • "failed"
integration_type?array<>

restrict it to specific type of integration

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/cloud/integrations"
[  {    "cloud_entity_id": "string",    "cloud_entity_name": "string",    "cloud_organization_id": "string",    "cloud_organization_name": "string",    "cloud_provider": "aws",    "connection_details": {      "aws": {        "region": "string",        "stack_id": "string"      },      "azure": {},      "gcp": {        "service_account_email": "string"      }    },    "connection_mode": "string",    "created_at": "string",    "id": "string",    "integration_type": "cloud-entity-keyless",    "latest_version": "string",    "organization_id": "string",    "status": "connected",    "updated_at": "string",    "version": "string"  }]